ChiliProject - Bug # 1198: acts_as_journalized generates model classes that aren't unloadable

Status: Duplicate Priority: Normal

Author: Greg Thornton Category: Journals / History

Created: 2013-01-06 Assignee:

Updated: 2013-01-20 Due date:

Remote issue URL:

Affected version: master

Description: When aaj creates a journal class for a model, it doesn't send @unloadable@, but the parent @Journal@

class does. When running in development (@config.cache_classes = false@) the journal subclass doesn't
reload with the parent, so it loses the overridden @<=>@ method and picks up the implementation in
Comparable. That in turn screws up the check in one of the save hooks and an exception is raised a little

further down the line.

I have no idea why it seems to work as-is for core journaled models. | also don't know how to test it, because
the test env (and script/console) don't seem to reload the classes in the same way.

To replicate, create a plugin with a journalized model and a controller action that saves an instance of that

model. The @reset_instance_variables@ save hook will raise an exception.

Associated revisions

2008-05-25 02:18 pm - Jean-Philippe Lang

Hungarian translation added (#1198 by GAjbor TakAjcs).

git-svn-id: http://redmine.rubyforge.org/svn/trunk@1452 e93f8b46-1217-0410-a6f0-8f06a7374b81

History

2013-01-07 08:45 am - Greg Thornton
https://github.com/chiliproject/chiliproject/pull/241

2013-01-20 01:02 pm - Greg Thornton

- Status changed from Open to Duplicate

see #1199
